This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1031796 - oo-admin-repair-node,oo-admin-ctl-iptables-port-proxy and oo-admin-ctl-tc has no man page
oo-admin-repair-node,oo-admin-ctl-iptables-port-proxy and oo-admin-ctl-tc ha...
Status: CLOSED EOL
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: 2.x
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks: 1314535
  Show dependency treegraph
 
Reported: 2013-11-18 14:16 EST by Brenton Leanhardt
Modified: 2017-01-25 01:37 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1314535 (view as bug list)
Environment:
Last Closed: 2017-01-25 01:37:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brenton Leanhardt 2013-11-18 14:16:54 EST
Description of problem:

oo-admin-repair-node is part of the openshift-origin-node-util package and is missing a man page.
Comment 1 Brenton Leanhardt 2013-11-18 14:40:10 EST
oo-admin-ctl-iptables-port-proxy and oo-admin-ctl-tc are also missing man pages.  They are part of rubygem-openshift-origin-node.
Comment 2 Brenton Leanhardt 2015-03-20 13:33:32 EDT
/usr/sbin/oo-admin-regenerate-gear-metadata
Comment 3 Jhon Honce 2015-06-24 21:37:19 EDT
Fixed in https://github.com/openshift/origin-server/pull/6178
Comment 4 openshift-github-bot 2015-06-29 13:48:56 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/7fd24067c2ddf3aa5cd4cdc2a193cd7b61568a14
Bug 1031796 - Install missing man pages

* oo-admin-regenerate-gear-metadata.8, oo-admin-repair-node.8
  oo-admin-ctl-tc.8 and oo-admin-ctl-iptables-port-proxy.8
Comment 5 Peter Ruan 2015-09-23 12:33:38 EDT
[root@broker ~]# man oo-admin-ctl-iptables-port-proxy
No manual entry for oo-admin-ctl-iptables-port-proxy
[root@broker ~]# man oo-admin-ctl-tc
No manual entry for oo-admin-ctl-tc

oo-admin-repair-node manpage exists
Comment 6 Peter Ruan 2015-09-23 12:51:33 EDT
The manage exists in devenv, but not in the latest OSE installation.  Will need to cherry-pick and sync up
Comment 7 Rory Thrasher 2016-02-08 11:36:50 EST
QA,

Can we check to see if these changes are present in the latest 2.2.8 build?  We're looking to see if this may need to be cherry-picked for 2.2.9.

Thanks.
Comment 9 Johnny Liu 2016-02-26 02:02:30 EST
Re-test this bug with OpenShiftEnterpriseErrata/2.2/2016-02-25.2, only a part of bug is fixed..


[root@node1 ~]# man oo-admin-ctl-iptables-port-proxy
No manual entry for oo-admin-ctl-iptables-port-proxy
[root@node1 ~]# man oo-admin-ctl-tc 
No manual entry for oo-admin-ctl-tc
[root@node1 ~]# rpm -qf /usr/sbin/oo-admin-ctl-tc
rubygem-openshift-origin-node-1.38.5.2-1.el6op.noarch

oo-admin-repair-node and oo-admin-regenerate-gear-metadata man page are existing now.
Comment 10 openshift-github-bot 2016-02-26 17:46:49 EST
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/c6cf7cfdebe40a77258e4a1f73adff640b586df4
Updates _mandir to properly add node man pages

Bug 1031796
BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1031796

Updates _mandir to _root_mandir in the node .spec file.  The node uses SCL, so
_mandir would incorrectly put the man pages into
/opt/rh/ruby193/root/user/share/man instead of into /usr/share/man, which would
require users to enable SCL to update the $MANPATH.  The node will now add the
man pages to the correct location.
Comment 11 Rory Thrasher 2016-05-02 16:00:22 EDT
QA,

This has been separately verified for Enterprise, so can we check for the presence of these man pages in an online setup?

# man oo-admin-ctl-iptables-port-proxy
# man oo-admin-ctl-tc
# man oo-admin-regenerate-gear-metadata
# man oo-admin-repair-node

Thank you

Note You need to log in before you can comment on or make changes to this bug.